package config

import (
	"context"
	"sorbet/internal/runtime"
	"sorbet/internal/services/config/controller"
)

type Service struct{}

func (*Service) Name() string {
	return "config"
}

func (*Service) Priority() int {
	return 0
}

func (*Service) Init(context.Context) error {
	return nil
}

func (*Service) Routes() []runtime.Routable {
	return []runtime.Routable{
		&controller.ConfigGroupController{},
		&controller.ConfigController{},
	}
}

func (s *Service) Start() error {
	return nil
}

func (s *Service) Stop() error {
	return nil
}
